%global repo dde-launcher

Name:           deepin-launcher
Version:        6.0.19
Release:        %autorelease
Summary:        Deepin desktop-environment - Launcher module
License:        GPL-3.0-or-later
URL:            https://github.com/linuxdeepin/dde-launcher
Source0:        %{url}/archive/%{version}/%{repo}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake

BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5Svg)
BuildRequires:  cmake(Qt5X11Extras)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Concurrent)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  qt5-qtbase-private-devel
%{?_qt5:Requires: %{_qt5}%{?_isa} = %{_qt5_version}}

BuildRequires:  cmake(DtkTools)
BuildRequires:  cmake(DtkCore)
BuildRequires:  cmake(DtkWidget)
BuildRequires:  cmake(DtkGui)

BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(xcb-ewmh)
BuildRequires:  pkgconfig(gsettings-qt)

BuildRequires:  systemd-rpm-macros

Requires:       deepin-menu
Requires:       deepin-daemon
Requires:       startdde
Requires:       hicolor-icon-theme
Requires:       %{_bindir}/dbus-send

%description
%{summary}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?isa} = %{version}-%{release}

%description    devel
This package contains the development files for %{name}.

%prep
%autosetup -p1 -n %{repo}-%{version}

%build
%cmake -DWITHOUT_UNINSTALL_APP=ON
%cmake_build

%install
%cmake_install

%files
%license LICENSE
%doc README.md
%{_bindir}/%{repo}
%{_datadir}/dbus-1/services/*.service
%{_datadir}/icons/hicolor/scalable/apps/deepin-launcher.svg
%{_datadir}/glib-2.0/schemas/*
%{_datadir}/dsg/
%{_userunitdir}/dde-session-initialized.target.wants/org.deepin.dde.Launcher1.service
%{_userunitdir}/org.deepin.dde.Launcher1.service

%files devel
%{_includedir}/dde-launcher/

%changelog
%autochangelog
